Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / Operations with polygon vertices

Operations with polygon vertices

Operations with polygon vertices
codex 2012/10/31 13:12
Hello, I have a polygon object and I want to change vertex coordinates, add and remove vertices.
How to do this? And how to drag vertex by mouse?

BRepBuilderAPI_MakePolygon MP;
MP.Add(p1);
MP.Add(p2);
MP.Add(p3);
Handle(AIS_Shape) ais_poly = new AIS_Shape(MP);
myContext->Display(ais_poly);
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map